<?php

require_once 'model/database.php';

class Articulos
{
	public $Articulos_pdo;

	public function __CONSTRUCT()
	{
		
		

		try
		{
			$this->Articulos_pdo = Database::StartUp();     
		}
		catch(Exception $e)
		{
			die($e->getMessage());
		}
	}
	
	public function grabar($prViditem,$prVid,$prVitemnombre,$prVmarca,$prVmodelo,$prVpreven1,$prVidequival,$prVactivo,$pvVventa,$prVitemclase) 
	{			
	
				
					$sql = "exec sp_items_actualizar_insertar "."'".$prViditem."','".$prVid."','".$prVitemnombre."','".$prVmarca."','".$prVmodelo."',".$prVpreven1.",'".$prVidequival."',".$prVactivo.",".$pvVventa.",".$prVitemclase;
				
					//die($sql);
				
					$stm = $this->Articulos_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}

	public function eliminar($prVidcliente)
	{
					 $current_user_id =0;

					 if(isset($_SESSION["current_user_id"]))
							{
								$current_user_id = $_SESSION["current_user_id"];
							}


				
					$sql = "exec sp_items_eliminar "."'".$prVidcliente."',".$current_user_id;
				
				
				
					$stm = $this->Articulos_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);			

					

	}

	public function listar($prvVCliId='',$prVstrfind ='',$prVretornar_soloid=0,$prVuid=0)
	{

	
					$sql = "exec sp_items_dame_datos "."'".$prvVCliId."','".$prVstrfind."',".$prVretornar_soloid.",".$prVuid;
				
					//print $sql;
				
				
					$stm = $this->Articulos_pdo->prepare($sql);		
					$stm->execute();
				

					// RETORNANDO LOS RESULTADOS 
					return $stm->fetchAll(PDO::FETCH_OBJ);
					
										
						

					

	}
}